/***************************************************************************
                          siggenerator.h  -  description
                             -------------------
    begin                : Sat Jul 20 2002
    copyright            : (C) 2002 by Scott Wheeler
    email                : wheeler@kde.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SIGGENERATOR_H
#define SIGGENERATOR_H

#include <qstring.h>

class QAbstractItemModel;

class SigGenerator 
{
public: 
    SigGenerator(QAbstractItemModel *model, int role);
    ~SigGenerator();

    QString random() const;
    QString daily() const;

private:

    QString attachStandard(const QString &text) const;

    QAbstractItemModel *m_model;
    int m_role;
    QString header;
    QString footer;
};

#endif
